#!/bin/bash
objs=$($BRLCAD_BIN/mged ADA073408.g ls 's*' 2>&1 | tr -s ' ' '\n' | sed 's/s//' | sort -n | sed 's/^/s/')
mkdir -p rts/pix
mkdir -p rts/png

function print_status() {
    if [ $? -eq 0 ]; then
        printf ".";
    else
        printf "!";
    fi
}

for obj in $objs; do
    $BRLCAD_BIN/mged ADA073408.g r "h${obj#s}.r" u $obj 2>/dev/null 1>&2
    print_status
    $BRLCAD_BIN/mged ADA073408.g mater "h${obj#s}.r" plastic 255 0 255 . 2>/dev/null 1>&2
    print_status
    $BRLCAD_BIN/rt -o rts/pix/$obj.pix ADA073408.g all.g "h${obj#s}.r" 2>/dev/null 1>&2
    print_status
    $BRLCAD_BIN/pix-png rts/pix/$obj.pix > rts/png/$obj.png
    print_status
    printf "#"
done
